
* { box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif; 
}
body { 
    margin: 0;
    width: 100%;
    padding-top: 56px;
}

.contenedor{
    padding-left: 100px;
    padding-right: 100px;
    padding-bottom: 50px;
    padding-top: 50px;
    width: 100%;
    background-color:rgb(144, 235, 116);
    display: flex;
    flex-wrap: wrap;
}

.infocontenedor{
    text-align: center;
    width: 33%;
    padding: 20px;
}

.infocontenedor img{
    height: 150px;
}

.tituloinfo {
    font-size: 24px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 5px;
}

.boton {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    border: none;
    padding: 15px 30px;
    font-size: 18px;
    border-radius: 5px;
    transition: background-color 0.3s;
    text-decoration: none;
}

.boton:hover {
    background-color: #7e7e7e;
    font-size : 20px;
}

.carrousel {
    padding-left: 200px;
    padding-right: 200px;
    padding-top: 50px;
    padding-bottom: 50px;
    width: 100%;
    background-color: rgb(199, 198, 198);
}

h1 {
    text-align: center;
    font-family: 'Kaushan Script', sans-serif;
    font-size: 50px;
}

.colaboraciones {
    background-color: white;
    text-align: center;
    padding: 5%;
    
}

h2 {
    font-size: 53px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    text-align: center;
}

.colaboradores {
    flex-wrap: wrap;
    display: flex;
    width: 100%;
    padding-left: 10%;
    padding-right: 10%;
}

.colaboradores img{
    align-content: center;
    width: 50%;
    padding: 20px;
}

.contacta {
    width:100%;
}

.infocontacto {
    padding-left: 20px;
    width: 50%;
    align-content: center;
}

.titulocontacto {
    width: 100%;
}

iframe {
    width: 100%;
}

.contenedor3 {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    width: 50%;
    padding: 50px;
}


.formulario {
    width: 100%;
    padding: 25px;
    border-radius: 10px;
    background: #f8f9fa;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
}

.titulo2 {
    text-align: center;
    margin-bottom: 20px;
}

.campo {
    margin-bottom: 15px;
}

.etiqueta {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}


.entrada {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

p {
    font-family:Georgia, 'Times New Roman', Times, serif;
}


/* Estilos para la página "Actividades" */
.fondo{
    background: #aaff6e;
    font-family: Arial, Helvetica, sans-serif;
}

.titulo{
    text-align: center;
    padding: 40px 20px;
    font-size: 50px;
    background-color:#ffffff
}

.fila{
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 5%;
}

.caja{
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2% 5%;
}

.img2{
    width: 100%;
    height: auto;
}
    
.caja {
    object-fit: cover;
}

.texto{
    flex-direction: column;
    text-align: center;
}

.texto h2{
    margin-bottom: 15px;
    font-size: 28px;
}

.texto p{
    font-size: 18px;
    line-height: 1.5;
    text-align: justify;
}


/* Estilos para la página "Que Hacemos?" */

.titulo-seccion {
    text-align: center;
    margin-bottom: 40px;
    font-family: 'Kaushan Script', sans-serif;
    font-size: 55px;
    color: #198754;
}

.contenedor-grid {
    display: grid;
    gap: 30px;
    width: 85%;
    margin: 0 auto;
}

.tarjeta {
    background: white;
    border: 3px solid #198754;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 8px 8px 0px #90eb74;
    transition: all 0.3s ease;  
}

.tarjeta:hover {
    transform: translate(-4px, -4px);
    box-shadow: 12px 12px 0px #198754;
}

.tarjeta h2 {
    font-family: Verdana, sans-serif;
    font-size: 24px;
    color: #000;
    margin-bottom: 15px;
    font-weight: bold;
}

.tarjeta p {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 18px;
    line-height: 1.6;
    color: #333;
    margin: 0;
}


/* Estilos para la página "Quienes somos" */

.container {
    padding: 40px;
    width: 100%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    background-color: rgb(144, 235, 116);
    text-align: justify;
    margin-bottom: 20px;
}
.titulo3{
    text-align: center;
    padding: 40px 20px;
    font-size: 50px;
    background-color:#ffffff;
  
  
}
.intro {  
    color: black;
    display: flex;
    flex-wrap: wrap;
    width: 50%;
}

.intro h2 {
    border-left: 5px solid #ffffff;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding-left: 10%;
}

.intro p {
    color: #000000;
    line-height: 1.5;
    font-size: 20px;
    
}


.cuadrogrande {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.cuadro {
    background: white;
    border: 3px solid #198754;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 8px 8px 0px #90eb74;
    transition: all 0.3s ease;
    flex-wrap: wrap;
    display: flex;
    flex-direction: column;
    width: 30%;
    margin: 1%;
}

.cuadro:hover {
    transform: translate(-4px, -4px);
    box-shadow: 12px 12px 0px #198754;
}

.cuadro h2 {
    margin-top: 0;
    font-size: 35px;
}
.cuadro p{
    font-size: 20px;
}


.equipo {
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
}

.miembro {
    background: white;
    border: 3px solid #198754;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 8px 8px 0px #90eb74;
    transition: all 0.3s ease;
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 33%;
}
.miembro:hover{
    transform: translate(-4px, -4px);
    box-shadow: 12px 12px 0px #198754;
}
.miembro h3 {
    margin: 0 0 0px 0;
    font-size: 25px;
    align-items: center;
    justify-content: center;
}


.miembro img {
    width: 75%;
    align-items: center;
    justify-content: center;    
}

.primeraparte {
    width: 100%;
    flex-wrap: wrap;
    display: flex;

}

.imgabu {
    flex-wrap: wrap;
    align-content: center;
    text-align: center;
    width: 50%;
    border-radius: 50%;
}
.imgabu img{
    border-radius: 10%;
    width: 75%
}
/* Acaban los estilos para la página "Quienes somos" */

/* Estilos para la página "Como formar parte" */
.formulario2 {
    align-items: center;
    align-content: center;
    width: 100%;
    padding: 25px;
    border-radius: 10px;
    background: #ffffff;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);   
}

.contenedor4 {
    background-color: #90eb74;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding-top: 2%;
    padding-bottom: 2%;
    padding-right: 20%;
    padding-left: 20%;
}

.colaboraciones2{
    text-align: center;
    width: 100%;
    font-size: 20px;
}

.cuadro2 {
    background: white;
    border: 3px solid #198754;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 8px 8px 0px #90eb74;
    transition: all 0.3s ease;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    width: 30%;
    margin: 1%;
}
.cuadro2 h2 {
    font-size: 40px;
}
.cuadro2 p{
    text-align: justify;
}
.cuadrogrande2 {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.cuadro2:hover {
    transform: translate(-4px, -4px);
    box-shadow: 12px 12px 0px #198754;
}

.boton2 {
    background-color: rgb(255, 255, 255);
    color: rgb(0, 0, 0);
    border-color:rgb(0, 0, 0);
    padding: 15px 30px;
    font-size: 18px;
    border-radius: 5px;
    border: #000000 solid 2px;
}

.boton2:hover {
    background-color: #c2bfbf;
    font-size : 22px;
}

/* Acaban los estilos para la página "Como formar parte" */

@media (max-width: 1400px) {
    .infocontacto {
        width: 100%;
    }
    .contenedor3 {
        width: 100%;
    }
    
}

@media (max-width: 1200px) {
    .carrousel {
        padding-left: 200px;
        padding-right: 200px;
    }
    .colaboradores {
        padding-left: 150px;
        padding-right: 150px;
    }
    .container {
        padding: 30px;
    }
    .primeraparte {
        width: 100%;
        flex-direction: column;
        align-items:center;
    }
    .intro {
        width: 100%;
    }
    .imgabu {
        width: 100%;
    }
    .cuadrogrande {
        width: 100%;
        flex-direction: column;
        align-items: center;
    }
    .cuadro {
        width: 90%;
        padding: 20px;
        flex: none;
    }
    .intro h2 {
        padding-left: 10%;
    }
    .miembro h3 {
        font-size: 20px;
    }
}

@media (max-width: 1000px) {
    .infocontenedor{
        width: 100%;
    }
    .boton {
        font-size: 15px;
    }
    .carrousel {
        padding-left: 150px;
        padding-right: 150px;
    }
    h2 {
        font-size: 30px;
    }
    .colaboradores img {
        width: 100%;
    }
    .cuadrogrande2 {
        width: 100%;
        flex-direction: column;
        align-items: center;
    }
    .cuadro2 {
        width: 90%;
        padding: 20px;
        flex: none;
    }
}


@media (max-width: 768px) {
    .contenedor {
        padding: 5%;
    }
    .carrousel {
        padding: 5%;
    }
    .colaboradores {
        padding-left: 50px;
        padding-right: 50px;
    }
    .miembro h3 {
        font-size: 15px;
        text-align: center;
    }
    .miembro {
        padding: 5%;
    }
    
}

/* Ajuste para móviles */
@media (max-width: 768px) {
    .titulo-seccion {
        font-size: 40px;
    }
    .contenedor-grid {
        width: 95%;
    }
}

@media(max-width: 768px){

    .titulo{
        font-size: 35px;
    }

    .contenedor{
        width: 100%;
    }

    .tarjeta h2{
        font-size: 24px;
    }

    .tarjeta p{
        font-size: 18px;
    }

}

@media(max-width: 1400px){

    .fila {
        flex-direction: column;
        
    }

    .caja {
        width: 100%;
    }

}